# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PropertyGreenVerification do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :id,
    :GreenBuildingVerificationKeyNumeric,
    :GreenVerificationMetric,
    :GreenVerificationYear,
    :ListingKeyNumeric,
    :GreenBuildingVerificationKey,
    :GreenVerificationBody,
    :GreenVerificationRating,
    :GreenVerificationURL,
    :GreenVerificationVersion,
    :ListingId,
    :ListingKey,
    :GreenBuildingVerificationType,
    :GreenVerificationSource,
    :GreenVerificationStatus,
    :ModificationTimestamp,
    :Property
  ]

  @type t :: %__MODULE__{
    :id => integer() | nil,
    :GreenBuildingVerificationKeyNumeric => float() | nil,
    :GreenVerificationMetric => float() | nil,
    :GreenVerificationYear => float() | nil,
    :ListingKeyNumeric => float() | nil,
    :GreenBuildingVerificationKey => String.t | nil,
    :GreenVerificationBody => String.t | nil,
    :GreenVerificationRating => String.t | nil,
    :GreenVerificationURL => String.t | nil,
    :GreenVerificationVersion => String.t | nil,
    :ListingId => String.t | nil,
    :ListingKey => String.t | nil,
    :GreenBuildingVerificationType => String.t | nil,
    :GreenVerificationSource => String.t | nil,
    :GreenVerificationStatus => String.t | nil,
    :ModificationTimestamp => Date.t | nil,
    :Property => FoyerAPI.Model.Property.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PropertyGreenVerification do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:ModificationTimestamp, :date, nil, options)
    |> deserialize(:Property, :struct, FoyerAPI.Model.Property, options)
  end
end

